=== debian/changelog ===
freeradius (2.0.2-0) unstable; urgency=medium
  * Added notes on how to debug the server in radiusd.conf
  * Moved all "log_*" in radiusd.conf to log{} section.
  * Added ca.der target in raddb/certs/Makefile.
  * Added ability send raw attributes via "Raw-Attribute = 0x0102..."
  * Permit "unlang" policies inside of Auth-Type{} sub-sections.
  * "listen" sections can now have "type = proxy"
  * Fixed reading of "detail" files.
  * Allow inner EAP tunneled sessions to be proxied.
  * Corrected MySQL schemas
  * syslog now works in log{} section.
  * Corrected typo in raddb/certs/client.cnf
  * Updated raddb/sites-available/proxy-inner-tunnel.
  * Ignore zero-length attributes in received packets.
  * Correct memcpy when dealing with unknown attributes.
  * Corrected debugging messages in attr_rewrite.
  * Corrected generation of State attribute in EAP.
  * Fall back to DEFAULT realm if no realm was found.
  * Updated example raddb/sites-available/proxy-inner-tunnel
  * Corrected behavior of attr_filter to match documentation.

 -- Alan DeKok <aland@freeradius.org>  Thu, 14 Feb 2008 12:08:06 +0100

freeradius (2.0.1-0) unstable; urgency=low
  * Improve "unlang".  See "man unlang"
  * update acct_module
  * fix parsing of syslog logging
  * Minor fixes over 2.0.0

 -- Alan DeKok <aland@freeradius.org>  Tue, 22 Jan 2008 14:25:44 +0100

freeradius (2.0.0-0) unstable; urgency=low

  * New upstream release.
  * Upgrade debhelper compatibility to version 5. This breaks the build
    on Sarge, which is no longer in stable.
  * Rewrite large parts of debian/rules based on the changes from the
    downstream debian package. (use dpatches and debhelper files where
    possible)
  * New initscript that uses the LSB functions instead of calling directly
    start-stop-daemon.
  * Create default certificates in postinst to enable the EAP modules (tls,
    ttls and peap) when the server starts for the first time.
  * Update Standards-Version to 3.7.3.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sat,  4 Jan 2008 20:15:42 +0100

freeradius (1.1.7-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Tue, 26 Jun 2007 09:52:41 +0100

freeradius (1.1.6-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Mon, 26 Mar 2007 14:57:03 +0100

freeradius (1.1.5-0) unstable; urgency=low

  * New upstream release.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Tue,  6 Mar 2007 23:52:55 +0100

freeradius (1.1.3-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatch merged in mainstream CVS:
    - 01-actually_check_for_unset_password
  * Remove irrelevant dpatch after autotools upgrade:
    - 13_a_libtool_to_call_your_own
  * Update debian/rules because of autotools upgrade, too.
  * Fix errors in initscript when trying to reload even if the server
    isn't running.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Mon, 10 Jul 2006 14:06:04 +0200

freeradius (1.1.2-0) unstable; urgency=low

  * New upstream release.
  * Update dpatch for 1.1.2:
    - 13_a_libtool14_to_call_your_own

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 21 May 2006 19:20:03 +0200

freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes

  * Update to Policy 3.6.2.0
  * Upgrade Debhelper support to V5
  * Don't install the .in files with the examples
  * Prefer libmysqlclient15-dev
    Closes: #343779
  * Shared secrets can only be 31 characters long, note this in clients.conf
    - Created 02_document_actual_shared_secret_maximum_length
    Closes: 344606
  * Added support for lsb-init functions

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 15 Jan 2006 13:34:13 +1100

freeradius (1.1.0-0) unstable; urgency=low

  * New upstream release.
  * Update set of patches:
    - 01_NET-SNMP_build_support.dpatch
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool14_to_call_your_own.dpatch

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun,  1 Jan 2006 18:15:47 +0100

freeradius (1.0.5-2) unstable; urgency=low

  * Stop dragging non-PIC code from libeap.a into rlm_eap_sim.so and
    rlm_eap.so.
    (Thanks to Peter Salinger)
    Closes: #288547
    - Rename 06_libtool14_vs_rlm_eap_tls to 06_libtool14_vs_rlm_eap
      and modify with Peter's changes and some Makefile hackery to
      get it all linking
  * Don't rerun configure during the build.
    (Thanks to Kurt Roeckx)

